package com.ruoyi.order.domain.dto;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.order.domain.TbOrder;
import lombok.Data;
import lombok.EqualsAndHashCode;

@EqualsAndHashCode(callSuper = true)
@Data
public class OrderDTO extends TbOrder {
    /** 申请部门 */
    private String applicationDepartmentName;

    /** 【调拨】调出部门 */
    private String allocationCallOutDepartmentName;

    /** 【调拨】调入部门 */
    private String allocationCallInDepartmentName;

    /** 【借出】借出部门 */
    private String lendDepartmentName;

    /** 制单部门名称 */
    private String preparedDepartmentName;

    /** 所属公司名称 */
    private String corporationName;
}
